Subject: RE: [Hipsec] registration protocol - reg_failed parameter and update

From: "Ahrenholz, Jeffrey M" <[email-masked]>
Date: Wed, 27 Jul 2005 12:44:28 -0700

This is a similar but different problem than R2_SENT in the base draft.
I think (a) would be fine, relaxing the accepted states for UPDATEs for
RVS nodes only. (Then this could be specified in the RVS draft.) I don't
like (b) since the Initiator would be sending data even though it
received REG_FAILED.

-Jeff

> SUGGESTION:
> a) Create a new transition between the R2-SENT state and ESTABLISHED
> state, when RVS receives an update packet.
> It could be implemented that only a HIP node acting as a RVS 
> could accept this 
> update packet in a R2-SENT state (or being more precise, only 
> update packet 
> including a REG_REQUEST parameter). If not, being more 
> general (an easier to 
> implement), any node could have this new transition. Do you see any 
> downside for the normal base exchange with this addition?
> b) Forced the Initator to send some data so then RVS will 
> move from R2-SENT to 
> ESTABLISHED state. In this case, I don't see any downside 
> will happen in the 
> regular base exchange.
> 
> Any comments?
> 
> Thanks
> 
> Miriam
> 
> _______________________________________________
> Hipsec mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/hipsec
> 

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec